# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @name C_harmonicDist
#' @title Harmomic mean distance
#' @description Calculates distance between observations as the harmomic mean distance of every point from a selected subset of points (subset defaults to all points).
#' @keywords internal
C_harmonicDist <- function(data, subset, S_inv) {
    .Call('MINOTAUR_C_harmonicDist', PACKAGE = 'MINOTAUR', data, subset, S_inv)
}

#' @name C_harmonicDist_partial
#' @title Harmomic mean distance using chunk of data to enable the use of a progress bar for large datasets
#' @description Equivalent to C_harmonicDist, but only performs calculation on chunk of data, allowing calculation to be broken into sections and thus tracked by a progress bar.
#' @keywords internal
C_harmonicDist_partial <- function(data, S_inv, i_start, i_end) {
    .Call('MINOTAUR_C_harmonicDist_partial', PACKAGE = 'MINOTAUR', data, S_inv, i_start, i_end)
}

#' @name C_kernelDeviance
#' @title Overall deviance for given kernel bandwidth
#' @description Calculates overall deviance (-2*log-likelihood) for given kernel bandwidth. Likelihood of point i is equal to kernel density from all other points in subset, and likelihood of overall data is product over i.
#' @keywords internal
C_kernelDeviance <- function(data, subset, sigma2, S_inv) {
    .Call('MINOTAUR_C_kernelDeviance', PACKAGE = 'MINOTAUR', data, subset, sigma2, S_inv)
}

#' @name C_kernelDeviance_partial
#' @title overall deviance for given kernel bandwidth using chunk of data to enable the use of a progress bar for large datasets
#' @description Equivalent to C_kernelDeviance, but only performs calculation on chunk of data, allowing calculation to be broken into sections and thus tracked by a progress bar.
#' @keywords internal
C_kernelDeviance_partial <- function(data, sigma2, S_inv, i_start, i_end) {
    .Call('MINOTAUR_C_kernelDeviance_partial', PACKAGE = 'MINOTAUR', data, sigma2, S_inv, i_start, i_end)
}

#' @name C_kernelDist
#' @title kernel density
#' @description calculates kernel density of all points from a subset of points.
#' @keywords internal
C_kernelDist <- function(data, subset, sigma2, S_inv) {
    .Call('MINOTAUR_C_kernelDist', PACKAGE = 'MINOTAUR', data, subset, sigma2, S_inv)
}

#' @name C_kernelDist_partial
#' @title kernel density using chunk of data to enable the use of a progress bar for large datasets
#' @description equivalent to C_kernelDist, but only performs calculation on chunk of data, allowing calculation to be broken into sections and thus tracked by a progress bar
#' @keywords internal
C_kernelDist_partial <- function(data, sigma2, S_inv, i_start, i_end) {
    .Call('MINOTAUR_C_kernelDist_partial', PACKAGE = 'MINOTAUR', data, sigma2, S_inv, i_start, i_end)
}

#' @name C_neighborDist
#' @title Nearest neighbor distance
#' @description Calculates nearest neighbor distance between all points and a subset of points.
#' @keywords internal
C_neighborDist <- function(data, subset, S_inv) {
    .Call('MINOTAUR_C_neighborDist', PACKAGE = 'MINOTAUR', data, subset, S_inv)
}

#' @name C_neighborDist_partial
#' @title Nearest neighbor distance using chunk of data to enable the use of a progress bar for large datasets
#' @description Equivalent to C_neighborDist, but only performs calculation on chunk of data, allowing calculation to be broken into sections and thus tracked by a progress bar.
#' @keywords internal
C_neighborDist_partial <- function(data, S_inv, i_start, i_end) {
    .Call('MINOTAUR_C_neighborDist_partial', PACKAGE = 'MINOTAUR', data, S_inv, i_start, i_end)
}

